# carnetdejeu

Carnet de jeu (CDJ) est une application web permettant de gérer sa collection de jeux vidéos, consoles et figurines.

Site officiel : [https://carnetdejeu.fr/](https://carnetdejeu.fr/)

# Motivation

L'idée principale de ce projet est d'avoir - enfin - un site web francophone concernant sa collection de jeux vidéos.

Mais également d'avoir une alternative OpenSource au très connu Backloggery.com.

# Pré-requis

  * Crystal 0.26.0
  * Amber 0.9.0
  * shards 0.8.1

# Installation des dépendances Crystal

Soit : 

```bash
shards install
```

soit :

```bash
make dependencies
```

# Aperçu de l'application

```
amber w
```

# Fabriqué avec

  * [Amber](https://amberframework.org/) - framework pour créer des applications simples, rapides et agréables

# Déploiement

Lorsque vous déployez l'application il n'est pas nécessaire d'avoir l'ensemble des fichiers. Une liste se trouve dans le fichier **filesToDeploy.txt**.

Deux méthodes sont possibles pour approvisionner vos serveurs des fichiers utiles : 

  * en utilisant une archive .tar.xz générée par Carnetdejeu
  * en faisant une synchronisation via rsync vers le serveur ciblé

## En utilisant une archive

Vous pouvez obtenir un fichier archive compressé contenant l'ensemble de ces fichiers en utilisant la commande suivante : 

```bash
make extract
```

Cela devrait compiler Amber, Carnetdejeu et créer un fichier **carnetdejeu-0.1.0.tar.xz**.

C'est le contenu de cette archive que vous pouvez déposer à l'endroit où vous déployer votre application.

## En utilisant rsync

Il est possible d'utiliser la commande contenu dans le script **deploy.sh** ou bien directement dans votre terminal :

```bash
rsync -avP --include-from=filesToDeploy.txt . monserveur:/dossier/de/destination
```

# Contributeurs

  * Olivier DOSSMANN - création initiale - [blankoworld](https://github.com/blankoworld/)

# Licence

Ce projet est délivré sous les termes de la licence EUPL 1.2. Pour plus d’informations, veuillez lire [la licence EUPL 1.2](https://joinup.ec.europa.eu/collection/eupl/eupl-text-11-12).
